
// height field

#include "colors.inc"
#include "textures.inc"

background { color red 0.30 green 0.30 blue 1.00 }

#declare TEXTURE = texture { pigment { rgb < 0.721, 0.619, 0.517> }
                             finish {  ambient 0.25
                                       diffuse 0.7
                                       phong 1
                                       phong_size 80
                                       brilliance 2
                                     }
                           }

#include "FACCIA.INC"

#declare FACCIA = intersection {
                          object { NAME }
                          plane  { -y , 0.005 }
                               }

object { FACCIA texture {TEXTURE} rotate < -10, 0, 0 > } // le visage

plane  { y , 0.4  pigment {
                           color rgbf < 0.9, 1, 0.9, 0.9 >
                          }
                  normal  {
                           ripples     0.95
                           frequency  10.0
                          }
                  finish  {
                           reflection   0.3
                           refraction   0.5
                           ior          1.33
                          }
         translate < 0, 0, 0.5 >
         scale < 10, 5, 10 >
        }

plane  { y , -5.0   pigment {  color SeaGreen }
                    finish  { ambient 0.6 }
       }

// le ciel

 sphere { <0, 0, 0>, 1000
    pigment {
        gradient y
        colour_map {
         [ 0.0, 0.5  color MidnightBlue
                     color SkyBlue ]
         [ 0.5, 1.0  color SkyBlue
                     color LightSteelBlue ]
                   }
      scale < 1000,  1000,  1000 >
      quick_colour rgb < 0.7, 0.7, 1.0 >
   }
   finish {
      ambient 1
      diffuse 0
   }
}

// les nouages

sphere { <0, 0, 0>, 900
   pigment {
      bozo
      turbulence 0.618033
      colour_map {
         [0,   0.6   colour Clear
                     colour Clear]
         [0.6, 0.8   colour Clear
                     colour rgbf < 1, 1, 1, 0.1 > ]
         [0.8, 1.001 colour rgbf < 1, 1, 1, 0.1 >
                     colour rgb < 0.8, 0.8, 0.8 >]
      }
      quick_colour rgbf <1,1,1,1>
      scale <300, 60, 300>
   }
   finish {ambient 0.7 diffuse 0}
}

light_source { < 18, 24, -10 >
               color rgb < 0.85, 0.75, 0.75>
               spotlight
               point_at < 2, 0, -2 >
               radius 22.25
               falloff 36.3
               tightness 30.0
             }

light_source { < 0, -2.5, 0 > color rgb < 0.9, 0.9, 0.9> }

camera { Vue }

// END
