// Copyleft Yavuz Onder (yavuz@bnr.ca) 1995
//
// Output from program povhelix.
//
// Scale translate paint... and use, Enjoy...
//
#include "colors.inc"
#include "textures.inc"

light_source
        {<4, 8, -5> color Gray80
        }
light_source
        {<-10, 3, -2> color Gray60
        }
//
// parameters of approximated helix around z axis.
//
// A torus is inclined by hlxIncl then a 360/hlxSegs degree segment
// is cut. This segment is duplicated, rotated by the above angle,
// raised by hlxRise*hlxMinR/hlxSegs. This is repated till a full 
// revolution is built. Then as many copies of this one revolution 
// object is added with an additional z translation of hlxRise*hlxMinR
// at each revolution.
//
// Clear as a whistle eh???  
//
#declare hlxSegs = 6  // segments per revolution
#declare hlxMajR = 5.000000 // major radius
#declare hlxMinR = 1.000000 // minor radius
#declare hlxRise = 3.500000 // this times minor radius is how higher
                           // for each revolution the helix gets
#declare hlxIncl = 6.654425 // Incline angle (in degrees). Will go away
                      // when POV gets trigonometric functions.
#declare hlxRevs = 3 // # revolutions in the whole helix

#declare hlxSeg =
intersection{
        torus {hlxMajR hlxMinR
               rotate -1*x*hlxIncl
        }        plane { z 0
                rotate y*(180/hlxSegs)
        }
        plane { -z 0
                rotate -y*(180/hlxSegs)
        }
        finish {ambient 0.3
                diffuse 0.7
                phong 1.0
                phong_size 20.0
        }
        pigment{color red 1.0 green 0.0 blue 0.0
        }
}
#declare hlxRev =
union { object {hlxSeg}
        object {hlxSeg
                rotate 1*y*(360/hlxSegs)
                translate y*1*hlxRise*hlxMinR/hlxSegs
        }
        object {hlxSeg
                rotate 2*y*(360/hlxSegs)
                translate y*2*hlxRise*hlxMinR/hlxSegs
        }
        object {hlxSeg
                rotate 3*y*(360/hlxSegs)
                translate y*3*hlxRise*hlxMinR/hlxSegs
        }
        object {hlxSeg
                rotate 4*y*(360/hlxSegs)
                translate y*4*hlxRise*hlxMinR/hlxSegs
        }
        object {hlxSeg
                rotate 5*y*(360/hlxSegs)
                translate y*5*hlxRise*hlxMinR/hlxSegs
        }
}


object {union {
  object {hlxRev
  }
  object {hlxRev
          translate y*1*hlxRise*hlxMinR
  }
  object {hlxRev
          translate y*2*hlxRise*hlxMinR
  }
  bounded_by {cylinder {<0, -2*hlxMinR, 0>,
                        <0, 12.500000, 0>,
                        6.100000
             }
  }
}
}
plane {y, -2*hlxMinR //a plane to show helix off
       texture {pigment {color Gray80}}
       finish {ambient 0.5}
      }
camera {location <0, 8, -20>
        look_at  <0, hlxRevs*hlxRise*hlxMinR/2, 0>
        }
